"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostmessageAdapter = void 0;
var PostmessageAdapter = /** @class */ (function () {
    function PostmessageAdapter(targetWindow, targetOrigin) {
        this.targetWindow = targetWindow;
        this.targetOrigin = targetOrigin;
    }
    PostmessageAdapter.prototype.postMessage = function (data) {
        this.targetWindow.postMessage(data, this.targetOrigin);
    };
    return PostmessageAdapter;
}());
exports.PostmessageAdapter = PostmessageAdapter;
