import type { AnyMessage, IPostmessageAdapter } from './types';
export declare class PostmessageAdapter implements IPostmessageAdapter {
    readonly targetWindow: Window;
    readonly targetOrigin: string;
    constructor(targetWindow: Window, targetOrigin: string);
    postMessage<T extends AnyMessage>(data: T): void;
}
