import { Request } from '../rx-postmessenger';
export declare class RxPostmessengerRequest<T, U> implements Request<T, U> {
    readonly id: string;
    readonly channel: string;
    readonly payload: T;
    private readonly _injectResponse;
    private _isHandled;
    constructor(id: string, channel: string, payload: T, _injectResponse: (data: U) => void);
    get isHandled(): boolean;
    respond(data: U): void;
}
